Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451322 - display corrupt after upgrade
Summary: display corrupt after upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 19:54 UTC by Brian Brock
Modified: 2018-04-11 09:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:43:36 UTC


Attachments (Terms of Use)
log from working F8 config after downgrade (deleted)
2008-06-13 19:55 UTC, Brian Brock
no flags Details
current working f8 config (deleted)
2008-06-13 19:57 UTC, Brian Brock
no flags Details
working xorg config prior to upgrade (deleted)
2008-06-13 19:59 UTC, Brian Brock
no flags Details
xorg log from broken f9 X session after upgrade (deleted)
2008-06-18 16:11 UTC, Brian Brock
no flags Details

Description Brian Brock 2008-06-13 19:54:47 UTC
Description of problem:
upgrade for F9 from a working F8 configuration broke the display.  In any mode
under F9, the display appears to be very corrupted with noise that moves the
image rapidly horizontally and vertically, over a short distance.  Looks like
I've selected a resolution which the monitor does not support.

Dell E153FP monitor (I think, it's not physically labeled)
   this is a flatscreen monitor which is not very new.


xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9

-(~:$)-> lspci
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub
Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82865G/PE/P PCI to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400/G450 (rev 04)
02:07.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 61)
02:08.0 Ethernet controller: Intel Corporation 82562EZ 10/100 Ethernet
Controller (rev 01)

I could not work around this problem with F9 packages.
Downgrading to the F8 xorg (and adding F8 yum repo config for xorg and related)
fixed the problem

I expected the upgrade to not require any manual configuration to make xorg-x11
work; none is required for F8.  Also, I expected xorg-x11 from F9 to basically
work on upgrade under at least one configuration, but it does not.

Comment 1 Brian Brock 2008-06-13 19:55:45 UTC
Created attachment 309277 [details]
log from working F8 config after downgrade

Comment 2 Brian Brock 2008-06-13 19:57:32 UTC
Created attachment 309278 [details]
current working f8 config

Comment 3 Brian Brock 2008-06-13 19:59:37 UTC
Created attachment 309279 [details]
working xorg config prior to upgrade

I was using this config file form roughly a year prior to upgrade

Comment 4 Brian Brock 2008-06-13 20:16:24 UTC
xorg-x11-drv-mga-1.4.6.1-6.fc8.i386 is currently-installed driver package

Comment 5 Matěj Cepl 2008-06-13 21:50:17 UTC
It would be really useful to get /var/log/Xorg.*.log from broken attempt to use
F9 Xorg? Isn't it there somewhere in /var/log? Couldn't we get it, please?

Comment 6 Brian Brock 2008-06-18 16:11:08 UTC
Created attachment 309750 [details]
xorg log from broken f9 X session after upgrade

Comment 7 Brian Brock 2008-07-08 17:11:44 UTC
Would any additional details be useful?  I don't mind running an older version
of X for a while, but it will create problems again when I next upgrade this
system (and I'm running a one-off system, on the box where I try to catch
desktop app bugs).

Comment 8 Brian Brock 2008-07-28 18:31:39 UTC
any hints to get moving on this, or details needed?

Comment 12 Cliff Schomburg 2008-10-23 16:13:33 UTC
I have this same problem.  I can't even get the F9 installer to work because the video is so bad.  I'm using a nVidia 8800 GT on a ViewSonic VA1912wb (19" widescreen LCD)

Comment 13 Bug Zapper 2009-06-10 01:35:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2009-07-14 17:43:36 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.